Page MenuHomePhabricator

Ingenico Connect hosted checkouts - using broken URL?
Closed, ResolvedPublic1 Story Points

Description

This is from our new tech contact at Ingenico:

it looks like your system was trying to access the Connect HostedCheckout page without the HostedCheckout ID. For instance, every time yours system submits a new CreateHostedCheckout API, you will get a unique redirect URL which looks similar to

'https://payment.pay2.secured-by-ingenico.com/checkout/6570-946cbfe58771406d8b915d26b0fd2ecb:f3d310bc-f3d7-424f-bcd9-a807f83ce856:a052f54caa3d4f8980837a6fd4335996'

but it looks like sometimes your system will just put 'https://payment.pay2.secured-by-ingenico.com/checkout' in the iframe which had triggered a lot of the errors that we are seeing. Can you ask your development team to double check on this?

Let's start with a bunch of logging at least.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : deploymentFront-end logging for Ingenico url too short
mediawiki/extensions/DonationInterface : masterFront-end logging for Ingenico url too short
mediawiki/extensions/DonationInterface : masterLog an error on too-short Ingenico iframe url

Event Timeline

Ejegg created this task.Nov 30 2018, 10:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 30 2018, 10:11 PM

Change 476984 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Log an error on too-short Ingenico iframe url

https://gerrit.wikimedia.org/r/476984

Change 476984 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Log an error on too-short Ingenico iframe url

https://gerrit.wikimedia.org/r/476984

mepps added a subscriber: mepps.Jan 9 2019, 9:57 PM

I see a patch merged @Ejegg. Is this pending deployment?

Ejegg added a comment.Jan 10 2019, 5:38 PM

@mepps one patch to add logging is deployed, but we could add logging in a couple other places to catch other sorts of failures.

DStrine added a subscriber: DStrine.Feb 5 2019, 9:21 PM

new DoD: someone adds some extra logging and maybe investigates this for a half day.

Ejegg added a comment.Feb 9 2019, 1:20 AM

See email Re: Changes in Platform for Wikimedia Ref : ref:_00D57ri6p._5001i1yk5m:ref

Change 489700 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Front-end logging for Ingenico url too short

https://gerrit.wikimedia.org/r/489700

Change 489700 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Front-end logging for Ingenico url too short

https://gerrit.wikimedia.org/r/489700

Change 494397 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@deployment] Front-end logging for Ingenico url too short

https://gerrit.wikimedia.org/r/494397

Change 494397 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@deployment] Front-end logging for Ingenico url too short

https://gerrit.wikimedia.org/r/494397

Ejegg closed this task as Resolved.Mar 5 2019, 9:15 PM
Ejegg claimed this task.

More logging added, but we haven't actually fixed the problem. Should keep looking at the error logs.

Ejegg set the point value for this task to 1.Mon, Oct 28, 4:01 PM